Which iTunes version do I use to jailbreak 3.0- please help!

Discussion in 'iPod touch Firmware 3.0 Jailbreak' started by YoMommaSoFat, Jun 21, 2009.

  1. YoMommaSoFat

    YoMommaSoFat New Member

    Joined:
    May 24, 2009
    Messages:
    53
    Likes Received:
    0
    Device:
    2G iPod touch
    In one of his videos, Dinozambas said that if you were going to update/jailbreak with 3.0 you should install iTunes 8.2 BETA rather than the official Apple iTunes 8.2 final release, because this would be more compatible with certain jailbreaks. However, is that necessary? Can I just install the iTunes 8.2 Final Apple release?
  2. fireemblemwz

    fireemblemwz New Member

    Joined:
    Mar 19, 2009
    Messages:
    24
    Likes Received:
    0
    The actual (non-beta) 8.2 is the one.
  3. geonsteelers

    geonsteelers New Member

    Joined:
    Apr 2, 2009
    Messages:
    1,017
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Use iTunes 8.2
  4. Shawa

    Shawa Super Moderator

    Joined:
    Jan 31, 2009
    Messages:
    3,188
    Likes Received:
    22
    Device:
    Nexus 4
    Don't know where he got the beta idea from. Use 8.2 final.

    </thread>
  5. Anonymate

    Anonymate New Member

    Joined:
    May 20, 2009
    Messages:
    8
    Likes Received:
    0
    I used 8.2 with Redsn0w and it worked fine for me. Though, the 3.0 jailbroken system still has quite a few bugs that great people are working on to fix!
  6. ddxcb

    ddxcb Active Member

    Joined:
    Nov 5, 2007
    Messages:
    276
    Likes Received:
    35
    Itunes beta 8.2 has the "Old ItunesMobileDevice.dll" but the support of the 3.0 firmware thats the diff between 8.2B and 8.2R

Share This Page